%define real_name grub
%define name %{real_name}
%define version 0.5.94
%define release 12mdk

Summary: GRand Unified Bootloader
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://alpha.gnu.org/gnu/grub/grub-%{version}.tar.bz2
Patch0: grub-bigpatch.patch.bz2
Patch1: grub-0.5.94-initrd1G.patch.bz2
Patch2: grub-0.5.94-omit-mem.patch.bz2
Patch3: grub-0.5.94.install_in_boot_grub.patch.bz2
Patch4: grub-0.5.94-skipcdroms.patch.bz2
Patch5: grub-0.5.94-setgrubmem-fromgivenone.patch.bz2
Patch6: grub-0.5.94-linux-extended.patch.bz2
Patch7: grub-0.5.94-reiserfs.patch
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: /tmp/%{name}-buildroot
Exclusivearch: %ix86

%description
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems.  In addition to loading the Linux and *BSD kernels,
it implements the Multiboot standard, which allows for flexible loading
of multiple boot images (needed for modular kernels such as the GNU
Hurd).

%package doc
Summary: more doc for grub
Group: System/Kernel and hardware

%description doc
cf package grub

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

#find . -type f | xargs perl -pi -e 's,(pkgdatadir =).*,$1 /boot/grub,'

%build
%configure --disable-lba-support-bitmap-check
make
make -C docs dvi

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/

## dangerous ?
#install -d $RPM_BUILD_ROOT/boot/grub/
#mv $RPM_BUILD_ROOT/usr/share/grub/%{_arch}-%{_vendor}/* $RPM_BUILD_ROOT/boot/grub/

rm -f $RPM_BUILD_ROOT/usr/info/dir*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/grub.info.bz2 /usr/info/dir
/sbin/install-info /usr/info/multiboot.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/grub.info.bz2 /usr/info/dir
   /sbin/install-info --delete /usr/info/multiboot.info.bz2 /usr/info/dir
fi

%files
%defattr(-,root,root)
/boot/grub/*
/usr/info/*
/usr/man/*/*
/usr/sbin/*

%files doc
%defattr(-,root,root)
%doc TODO BUGS NEWS ChangeLog docs/menu.lst docs/*.dvi

%changelog
* Mon May  8 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-12mdk
- add reiserfs handling (missing symlink handling though)

* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-11mdk
- fix for linux-extended extended partition

* Tue May  2 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-10mdk
- fix case of not found keytable

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-9mdk
- remove a patch from caldera

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-8mdk
- nicer menu
- don't add automatic mem= if one is given

* Tue Apr  4 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-7mdk
- fix install path

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-6mdk
- integrate patches from caldera

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-5mdk
- re-rebuild

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-4mdk
- big patch (i18n & look)

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-3mdk
- split printable doc and some more to have smaller package (keep mainly info in
main package, very good one)
- cleanup install-info in % post scripts

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-2mdk
- remove unneeded patch
- use of % { ix86 }

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 0.5.94-1mdk
- remove now unneeded --disable-gunzip
- added option --disable-lba-support-bitmap-check
- patch for *very* buggy bioses (tells grub every hd is gigantic)
- new version

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-7mdk
- configure with --disable-gunzip
(so that initrd is not gunzip'ed and fits in memory, that's the kernel's job anyway)

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-6mdk
- remove no-device-check (was stupid)
- replace by something better (option --devices)

* Tue Feb 29 2000 Pixel <pixel@mandrakesoft.com> 0.5.93.1-5mdk
- add option no-device-check for grub binary (mainly for non-interactive use)

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-4mdk
- Add Exclusivearch.

* Tue Jan 4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-3mdk
- Add install_grub_on_floppy script (thnks b.bodin).
- Add dvi docs (tknks b.bodin).

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-2mdk
- Add %packager (thnks rpmlint).
- Remove CFLAGS.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution based on debian version.
